<?php

namespace Litecms\Eatery;

use User;

class Eateries
{
    /**
     * $eatery object.
     */
    protected $eatery;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Eatery\Interfaces\EateryRepositoryInterface $eatery)
    {
        $this->eatery = $eatery;
    }

    /**
     * Returns count of eatery.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Find eatery by slug.
     *
     * @param array $filter
     *
     * @return int
     */
    public function eatery($slug)
    {
        return  $this->eatery
            ->findBySlug($slig)
            ->toArray();
    }
}
